// notification styles
// notification styles
.notification {
    width: 100%;
    background: $gray;
    transform: scaleY(1);
	// transition: max-height 0.3s ease-out, opacity 300ms ease;
	opacity: 1;
	max-height: 100%;
    line-height: 1;
    padding: 10px 0px;
    z-index: 999;
    left: 0;
    position: absolute;
    transform: translateY(0px);

    > .container:before {
        content: "";
        display: inline-block;
        width: 20px;
        height: 20px;
        position: absolute;
        top: -14px;
        right: 74px;
        background: $gray;
        transform: rotate(45deg);
    }

    &__content {
        width: 80%;
        z-index: 1;
        margin: 0 auto 0 0;
    }

    &__item {
        display: none;

        p {
            margin: 0;
            font-size: calc-em(13px);
            font-weight:$normal;
        }

        a {
            text-decoration: underline;
        }
    }

    &__buttons {
        display: inline-flex;
        align-items: end;
        position: absolute;
        top: 0;
        right: 15px;

        .btn--close {
            background: transparent;

            .icon {
                font-size: calc-em(24px);
            }
        }
    }

    &__pagination {
        display: inline-flex;
        align-items: end;
        margin: 0px;

        .pagination__btn {
            cursor: pointer;

            .icon {
                font-size: calc-em(22px);
            }

            &.prev {
                margin: 0px 5px 0px 0px;
            }

            &.next {
                margin: 0px;
            }
        }
    }

    .slick-arrow {
        transition: all 500ms ease;
        &.slick-disabled {
            color: $darkgreen;
            opacity: 0.4;

            &:hover {
                border-color: $lightgreen;
            }
        }

        &:hover {
            color: $lightgreen;
        }
    }

    .notification__item p, .notification__buttons {
        color: $darkgreen;

        .btn {
            transition: all 500ms ease;
            &:hover {
                color: $gray;
            }
        }
    }

    .notification__paging {
        font-size: calc-em(14px);
        letter-spacing: 1px;
    }

    .btn--close {
        color: $darkgreen;
        padding: 0px;
        margin: 0px;
        border: none;
        line-height: 0;
        cursor: pointer;
    }

    &.noticed {
    	position: relative;
	    visibility: visible;
	    display: block;
        // transition: all .4s ease-in;
        line-height: normal;
    }

    .container-md {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &.closed {
		opacity: 0;
		max-height: 0;
        // display: none;
    }
    
    .slick-arrow {
        margin: 0px;
        cursor: pointer;

		&.slick-prev {
			transform: rotate(-45deg);
			right: 50px;

		}

		&.slick-next {
			transform: rotate(135deg);

		}

		&:hover {
			border-color: $gray;
		}

		&:focus {
			outline: 0;
		}

		&.slick-disabled {
			color: $darkgreen;

			&:hover {
				border-color: $gray;
				cursor: default;
			}
		}

	}
}

@media only screen and (max-width: $bpTablet - 1) {
    .notification__content {
        width: 66%;
    }
}

@media only screen and (min-width: $bpTablet) {
    .notification {
        &__content {
            width:90%;
        }
    }
}

@media only screen and (min-width: $bpDesktop) {
    .notification {
        > .container:before {
            top: -15px;
            right: 79px;
        }
        &__content {
            width: 90%;
        }

        &__pagination {
            margin: 0;
            .pagination__btn {

                &.prev {
                    margin: 0px 10px 0px 0px;
                }
    
                &.next {
                    margin: 0px 0px 0px 10px;
                }
                
            }
        }

        .slick-arrow {
            font-size: calc-em(18px);
        }
    }
}

@media only screen and (min-width: $bpLgDesktop) {
    .notification {
        > .container:before {
            right: 80px;
        }
        &__content {
            width: 90%;
        }
    }
}


